Index: /branches/DeploymentServer Prototype/HeuristicLab.Services/HeuristicLab.DeploymentService.AdminClient/PluginView.Designer.cs
===================================================================
--- /branches/DeploymentServer Prototype/HeuristicLab.Services/HeuristicLab.DeploymentService.AdminClient/PluginView.Designer.cs	(revision 2859)
+++ /branches/DeploymentServer Prototype/HeuristicLab.Services/HeuristicLab.DeploymentService.AdminClient/PluginView.Designer.cs	(revision 2860)
@@ -24,4 +24,5 @@
     /// </summary>
     private void InitializeComponent() {
+      this.components = new System.ComponentModel.Container();
       this.nameLabel = new System.Windows.Forms.Label();
       this.nameTextBox = new System.Windows.Forms.TextBox();
@@ -33,7 +34,13 @@
       this.dependenciesGroupBox = new System.Windows.Forms.GroupBox();
       this.dependenciesListView = new System.Windows.Forms.ListView();
-      this.nameHeader = new System.Windows.Forms.ColumnHeader();
-      this.versionHeader = new System.Windows.Forms.ColumnHeader();
+      this.pluginNameHeader = new System.Windows.Forms.ColumnHeader();
+      this.pluginVersionHeader = new System.Windows.Forms.ColumnHeader();
+      this.imageList = new System.Windows.Forms.ImageList(this.components);
+      this.filesListView = new System.Windows.Forms.ListView();
+      this.fileNameHeader = new System.Windows.Forms.ColumnHeader();
+      this.fileTypeHeader = new System.Windows.Forms.ColumnHeader();
+      this.filesGroupBox = new System.Windows.Forms.GroupBox();
       this.dependenciesGroupBox.SuspendLayout();
+      this.filesGroupBox.SuspendLayout();
       this.SuspendLayout();
       // 
@@ -54,5 +61,5 @@
       this.nameTextBox.Name = "nameTextBox";
       this.nameTextBox.ReadOnly = true;
-      this.nameTextBox.Size = new System.Drawing.Size(191, 20);
+      this.nameTextBox.Size = new System.Drawing.Size(267, 20);
       this.nameTextBox.TabIndex = 1;
       // 
@@ -64,5 +71,5 @@
       this.versionTextBox.Name = "versionTextBox";
       this.versionTextBox.ReadOnly = true;
-      this.versionTextBox.Size = new System.Drawing.Size(191, 20);
+      this.versionTextBox.Size = new System.Drawing.Size(267, 20);
       this.versionTextBox.TabIndex = 3;
       // 
@@ -83,5 +90,5 @@
       this.contactTextBox.Name = "contactTextBox";
       this.contactTextBox.ReadOnly = true;
-      this.contactTextBox.Size = new System.Drawing.Size(191, 20);
+      this.contactTextBox.Size = new System.Drawing.Size(267, 20);
       this.contactTextBox.TabIndex = 5;
       // 
@@ -98,5 +105,5 @@
       // 
       this.licenseButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
-      this.licenseButton.Location = new System.Drawing.Point(3, 397);
+      this.licenseButton.Location = new System.Drawing.Point(3, 486);
       this.licenseButton.Name = "licenseButton";
       this.licenseButton.Size = new System.Drawing.Size(103, 23);
@@ -104,4 +111,5 @@
       this.licenseButton.Text = "Show license";
       this.licenseButton.UseVisualStyleBackColor = true;
+      this.licenseButton.Click += new System.EventHandler(this.licenseButton_Click);
       // 
       // dependenciesGroupBox
@@ -111,7 +119,7 @@
                   | System.Windows.Forms.AnchorStyles.Right)));
       this.dependenciesGroupBox.Controls.Add(this.dependenciesListView);
-      this.dependenciesGroupBox.Location = new System.Drawing.Point(3, 81);
+      this.dependenciesGroupBox.Location = new System.Drawing.Point(3, 255);
       this.dependenciesGroupBox.Name = "dependenciesGroupBox";
-      this.dependenciesGroupBox.Size = new System.Drawing.Size(262, 310);
+      this.dependenciesGroupBox.Size = new System.Drawing.Size(338, 225);
       this.dependenciesGroupBox.TabIndex = 1;
       this.dependenciesGroupBox.TabStop = false;
@@ -121,23 +129,66 @@
       // 
       this.dependenciesListView.Columns.AddRange(new System.Windows.Forms.ColumnHeader[] {
-            this.nameHeader,
-            this.versionHeader});
+            this.pluginNameHeader,
+            this.pluginVersionHeader});
       this.dependenciesListView.Dock = System.Windows.Forms.DockStyle.Fill;
       this.dependenciesListView.Location = new System.Drawing.Point(3, 16);
       this.dependenciesListView.Name = "dependenciesListView";
-      this.dependenciesListView.Size = new System.Drawing.Size(256, 291);
+      this.dependenciesListView.Size = new System.Drawing.Size(332, 206);
+      this.dependenciesListView.SmallImageList = this.imageList;
       this.dependenciesListView.TabIndex = 0;
       this.dependenciesListView.UseCompatibleStateImageBehavior = false;
       this.dependenciesListView.View = System.Windows.Forms.View.Details;
       // 
-      // nameHeader
-      // 
-      this.nameHeader.Text = "Name";
-      this.nameHeader.Width = 180;
-      // 
-      // versionHeader
-      // 
-      this.versionHeader.Text = "Version";
-      this.versionHeader.Width = 100;
+      // pluginNameHeader
+      // 
+      this.pluginNameHeader.Text = "Name";
+      this.pluginNameHeader.Width = 200;
+      // 
+      // pluginVersionHeader
+      // 
+      this.pluginVersionHeader.Text = "Version";
+      this.pluginVersionHeader.Width = 120;
+      // 
+      // imageList
+      // 
+      this.imageList.ColorDepth = System.Windows.Forms.ColorDepth.Depth8Bit;
+      this.imageList.ImageSize = new System.Drawing.Size(16, 16);
+      this.imageList.TransparentColor = System.Drawing.Color.Transparent;
+      // 
+      // filesListView
+      // 
+      this.filesListView.Columns.AddRange(new System.Windows.Forms.ColumnHeader[] {
+            this.fileNameHeader,
+            this.fileTypeHeader});
+      this.filesListView.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.filesListView.Location = new System.Drawing.Point(3, 16);
+      this.filesListView.Name = "filesListView";
+      this.filesListView.Size = new System.Drawing.Size(329, 149);
+      this.filesListView.SmallImageList = this.imageList;
+      this.filesListView.TabIndex = 0;
+      this.filesListView.UseCompatibleStateImageBehavior = false;
+      this.filesListView.View = System.Windows.Forms.View.Details;
+      // 
+      // fileNameHeader
+      // 
+      this.fileNameHeader.Text = "Name";
+      this.fileNameHeader.Width = 200;
+      // 
+      // fileTypeHeader
+      // 
+      this.fileTypeHeader.Text = "Type";
+      this.fileTypeHeader.Width = 120;
+      // 
+      // filesGroupBox
+      // 
+      this.filesGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.filesGroupBox.Controls.Add(this.filesListView);
+      this.filesGroupBox.Location = new System.Drawing.Point(3, 81);
+      this.filesGroupBox.Name = "filesGroupBox";
+      this.filesGroupBox.Size = new System.Drawing.Size(335, 168);
+      this.filesGroupBox.TabIndex = 11;
+      this.filesGroupBox.TabStop = false;
+      this.filesGroupBox.Text = "Files";
       // 
       // PluginView
@@ -146,4 +197,5 @@
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
       this.Controls.Add(this.dependenciesGroupBox);
+      this.Controls.Add(this.filesGroupBox);
       this.Controls.Add(this.licenseButton);
       this.Controls.Add(this.contactTextBox);
@@ -154,6 +206,7 @@
       this.Controls.Add(this.nameLabel);
       this.Name = "PluginView";
-      this.Size = new System.Drawing.Size(268, 423);
+      this.Size = new System.Drawing.Size(344, 512);
       this.dependenciesGroupBox.ResumeLayout(false);
+      this.filesGroupBox.ResumeLayout(false);
       this.ResumeLayout(false);
       this.PerformLayout();
@@ -171,7 +224,12 @@
     protected System.Windows.Forms.Button licenseButton;
     protected System.Windows.Forms.GroupBox dependenciesGroupBox;
-    private System.Windows.Forms.ColumnHeader nameHeader;
-    private System.Windows.Forms.ColumnHeader versionHeader;
+    private System.Windows.Forms.ColumnHeader pluginNameHeader;
+    private System.Windows.Forms.ColumnHeader pluginVersionHeader;
     protected System.Windows.Forms.ListView dependenciesListView;
+    private System.Windows.Forms.ListView filesListView;
+    private System.Windows.Forms.GroupBox filesGroupBox;
+    private System.Windows.Forms.ImageList imageList;
+    private System.Windows.Forms.ColumnHeader fileNameHeader;
+    private System.Windows.Forms.ColumnHeader fileTypeHeader;
 
   }
Index: /branches/DeploymentServer Prototype/HeuristicLab.Services/HeuristicLab.DeploymentService.AdminClient/PluginView.cs
===================================================================
--- /branches/DeploymentServer Prototype/HeuristicLab.Services/HeuristicLab.DeploymentService.AdminClient/PluginView.cs	(revision 2859)
+++ /branches/DeploymentServer Prototype/HeuristicLab.Services/HeuristicLab.DeploymentService.AdminClient/PluginView.cs	(revision 2860)
@@ -8,9 +8,71 @@
 using System.Windows.Forms;
 using HeuristicLab.PluginInfrastructure;
+using System.IO;
 
 namespace HeuristicLab.DeploymentService.AdminClient {
   public partial class PluginView : UserControl {
+    private const string IMAGE_KEY_ASSEMBLY = "Assembly";
+    private const string IMAGE_KEY_FILE = "File";
+    private const string IMAGE_KEY_DOCUMENT = "Document";
+
+    private IPluginDescription plugin;
+
     public PluginView() {
       InitializeComponent();
+      PopulateImageList();
+    }
+
+    public PluginView(IPluginDescription plugin) {
+      InitializeComponent();
+      PopulateImageList();
+
+      this.plugin = plugin;
+      UpdateControls();
+    }
+
+    private void PopulateImageList() {
+      imageList.Images.Add(IMAGE_KEY_ASSEMBLY, HeuristicLab.Common.Resources.VS2008ImageLibrary.Assembly);
+      imageList.Images.Add(IMAGE_KEY_FILE, HeuristicLab.Common.Resources.VS2008ImageLibrary.File);
+      imageList.Images.Add(IMAGE_KEY_DOCUMENT, HeuristicLab.Common.Resources.VS2008ImageLibrary.Document);
+    }
+
+    public void UpdateControls() {
+      string appDir = Path.GetDirectoryName(Application.ExecutablePath);
+      nameTextBox.Text = plugin.Name;
+      versionTextBox.Text = plugin.Version.ToString();
+      contactTextBox.Text = CombineStrings(plugin.ContactName, plugin.ContactEmail);
+      foreach (IPluginDescription dependency in plugin.Dependencies) {
+        var depItem = new ListViewItem(new string[] { dependency.Name, dependency.Version.ToString() });
+        depItem.ImageKey = IMAGE_KEY_ASSEMBLY;
+        dependenciesListView.Items.Add(depItem);
+      }
+      foreach (var file in plugin.Files) {
+        string displayedFileName = file.Name.Replace(appDir, string.Empty);
+        displayedFileName = displayedFileName.TrimStart(Path.DirectorySeparatorChar);
+        var fileItem = new ListViewItem(new string[] { displayedFileName, file.Type.ToString() });
+        if (file.Type == PluginFileType.Assembly) {
+          fileItem.ImageKey = IMAGE_KEY_ASSEMBLY;
+        } else if (file.Type == PluginFileType.License) {
+          fileItem.ImageKey = IMAGE_KEY_DOCUMENT;
+        } else fileItem.ImageKey = IMAGE_KEY_FILE;
+        filesListView.Items.Add(fileItem);
+      }
+      licenseButton.Enabled = !string.IsNullOrEmpty(plugin.LicenseText);
+    }
+
+    private string CombineStrings(string a, string b) {
+      if (string.IsNullOrEmpty(a))
+        // a is empty
+        if (!string.IsNullOrEmpty(b)) return CombineStrings(b, string.Empty);
+        else return string.Empty;
+      // a is not empty
+      else if (string.IsNullOrEmpty(b)) return a;
+      // and b are not empty
+      else return a + ", " + b;
+    }
+
+    private void licenseButton_Click(object sender, EventArgs e) {
+      LicenseView view = new LicenseView(plugin.Name, plugin.Version.ToString(), plugin.LicenseText);
+      view.Show();
     }
   }
Index: /branches/DeploymentServer Prototype/HeuristicLab.Services/HeuristicLab.DeploymentService.AdminClient/PluginView.resx
===================================================================
--- /branches/DeploymentServer Prototype/HeuristicLab.Services/HeuristicLab.DeploymentService.AdminClient/PluginView.resx	(revision 2859)
+++ /branches/DeploymentServer Prototype/HeuristicLab.Services/HeuristicLab.DeploymentService.AdminClient/PluginView.resx	(revision 2860)
@@ -118,3 +118,6 @@
     <value>System.Resources.ResXResourceWriter, System.Windows.Forms, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089</value>
   </resheader>
+  <metadata name="imageList.TrayLocation" type="System.Drawing.Point, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a">
+    <value>17, 17</value>
+  </metadata>
 </root>
Index: /branches/DeploymentServer Prototype/HeuristicLab.Services/HeuristicLab.Services.Deployment.DataAccess/PluginStoreClasses.dbml
===================================================================
--- /branches/DeploymentServer Prototype/HeuristicLab.Services/HeuristicLab.Services.Deployment.DataAccess/PluginStoreClasses.dbml	(revision 2859)
+++ /branches/DeploymentServer Prototype/HeuristicLab.Services/HeuristicLab.Services.Deployment.DataAccess/PluginStoreClasses.dbml	(revision 2860)
@@ -19,5 +19,6 @@
       <Column Name="Name" Type="System.String" DbType="NVarChar(300) NOT NULL" CanBeNull="false" />
       <Column Name="Version" Type="System.String" DbType="NVarChar(50) NOT NULL" CanBeNull="false" />
-      <Column Name="ContactInformation" Type="System.String" DbType="Text" CanBeNull="true" UpdateCheck="Never" />
+      <Column Name="ContactName" Type="System.String" DbType="Text" CanBeNull="true" UpdateCheck="Never" />
+      <Column Name="ContactEmail" Type="System.String" DbType="Text" CanBeNull="true" UpdateCheck="Never" />
       <Column Name="License" Type="System.String" DbType="Text" CanBeNull="true" UpdateCheck="Never" />
       <Association Name="Plugin_PluginPackage" Member="PluginPackage" ThisKey="Id" OtherKey="PluginId" Type="PluginPackage" Cardinality="One" />
Index: /branches/DeploymentServer Prototype/HeuristicLab.Services/HeuristicLab.Services.Deployment.DataAccess/PluginStoreClasses.dbml.layout
===================================================================
--- /branches/DeploymentServer Prototype/HeuristicLab.Services/HeuristicLab.Services.Deployment.DataAccess/PluginStoreClasses.dbml.layout	(revision 2859)
+++ /branches/DeploymentServer Prototype/HeuristicLab.Services/HeuristicLab.Services.Deployment.DataAccess/PluginStoreClasses.dbml.layout	(revision 2860)
@@ -3,39 +3,39 @@
   <DataContextMoniker Name="/PluginStoreClassesDataContext" />
   <nestedChildShapes>
-    <classShape Id="5aa5ddda-9296-44d2-a516-238be9f4719d" absoluteBounds="3.5, 2, 2, 1.1939925130208335">
+    <classShape Id="16e9d26d-f78e-4457-8cdb-0cee0835a0b6" absoluteBounds="3.5, 2, 2, 1.1939925130208335">
       <DataClassMoniker Name="/PluginStoreClassesDataContext/Dependency" />
       <nestedChildShapes>
-        <elementListCompartment Id="5ca38ac5-5a7e-4c47-a480-0536fec82dcc" absoluteBounds="3.515, 2.46, 1.9700000000000002, 0.63399251302083326" name="DataPropertiesCompartment" titleTextColor="Black" itemTextColor="Black" />
+        <elementListCompartment Id="90573696-5cb0-44c5-a492-6e26800047b3" absoluteBounds="3.515, 2.46, 1.9700000000000002, 0.63399251302083326" name="DataPropertiesCompartment" titleTextColor="Black" itemTextColor="Black" />
       </nestedChildShapes>
     </classShape>
-    <classShape Id="a5892850-02a5-4f0c-8b4d-cdc887c495b6" absoluteBounds="3.5, 4, 2, 1.1939925130208344">
+    <classShape Id="86708203-9aa2-44f4-a85f-7fad2c542e23" absoluteBounds="3.5, 4, 2, 1.1939925130208344">
       <DataClassMoniker Name="/PluginStoreClassesDataContext/ProductPlugin" />
       <nestedChildShapes>
-        <elementListCompartment Id="07b98569-9ca9-4b3f-8829-d57557588cba" absoluteBounds="3.515, 4.46, 1.9700000000000002, 0.63399251302083326" name="DataPropertiesCompartment" titleTextColor="Black" itemTextColor="Black" />
+        <elementListCompartment Id="da9607ee-b60e-44f0-8e80-704abd6dd898" absoluteBounds="3.515, 4.46, 1.9700000000000002, 0.63399251302083326" name="DataPropertiesCompartment" titleTextColor="Black" itemTextColor="Black" />
       </nestedChildShapes>
     </classShape>
-    <classShape Id="7c7e406d-95e8-4f00-ab8e-634b7fbbbea5" absoluteBounds="0.75, 2.75, 2, 1.7708968098958335">
+    <classShape Id="1e228e3e-9436-4cd0-b7f7-492427268001" absoluteBounds="0.75, 2.625, 2, 1.9631982421874996">
       <DataClassMoniker Name="/PluginStoreClassesDataContext/Plugin" />
       <nestedChildShapes>
-        <elementListCompartment Id="25134a80-4bf5-4672-bd9e-6449a7935427" absoluteBounds="0.765, 3.21, 1.9700000000000002, 1.2108968098958333" name="DataPropertiesCompartment" titleTextColor="Black" itemTextColor="Black" />
+        <elementListCompartment Id="81f74f1f-d4d0-4dce-991e-fb10afa63eb5" absoluteBounds="0.765, 3.085, 1.9700000000000002, 1.4031982421875" name="DataPropertiesCompartment" titleTextColor="Black" itemTextColor="Black" />
       </nestedChildShapes>
     </classShape>
-    <classShape Id="855904b1-2043-4ccc-951d-2f35df8b6190" absoluteBounds="3.5, 6, 2, 1.1939925130208344">
+    <classShape Id="d660db81-846c-4661-9a86-09567e927f9d" absoluteBounds="3.5, 6, 2, 1.1939925130208344">
       <DataClassMoniker Name="/PluginStoreClassesDataContext/PluginPackage" />
       <nestedChildShapes>
-        <elementListCompartment Id="25003445-42f3-4db9-8945-6609772da5ec" absoluteBounds="3.515, 6.46, 1.9700000000000002, 0.63399251302083326" name="DataPropertiesCompartment" titleTextColor="Black" itemTextColor="Black" />
+        <elementListCompartment Id="31a89e0e-c915-41d6-926b-d8c0f029f27d" absoluteBounds="3.515, 6.46, 1.9700000000000002, 0.63399251302083326" name="DataPropertiesCompartment" titleTextColor="Black" itemTextColor="Black" />
       </nestedChildShapes>
     </classShape>
-    <classShape Id="cc5365b1-2536-41e1-b69d-c3ab09f01086" absoluteBounds="0.75, 5.875, 2, 1.3862939453125005">
+    <classShape Id="55486421-017b-44b9-894d-6cc4501cda04" absoluteBounds="0.75, 5.875, 2, 1.3862939453125005">
       <DataClassMoniker Name="/PluginStoreClassesDataContext/Product" />
       <nestedChildShapes>
-        <elementListCompartment Id="875bde79-6306-48eb-bcea-c8653ef81ec2" absoluteBounds="0.765, 6.335, 1.9700000000000002, 0.8262939453125" name="DataPropertiesCompartment" titleTextColor="Black" itemTextColor="Black" />
+        <elementListCompartment Id="5abad42a-034c-4331-916c-e757c0c6c777" absoluteBounds="0.765, 6.335, 1.9700000000000002, 0.8262939453125" name="DataPropertiesCompartment" titleTextColor="Black" itemTextColor="Black" />
       </nestedChildShapes>
     </classShape>
-    <associationConnector edgePoints="[(2.75 : 4.52089680989583); (3.125 : 4.89589680989583); (3.125 : 6.59699625651042); (3.5 : 6.59699625651042)]" fixedFrom="NotFixed" fixedTo="Algorithm">
+    <associationConnector edgePoints="[(2.75 : 4.5881982421875); (3.125 : 4.9631982421875); (3.125 : 6.59699625651042); (3.5 : 6.59699625651042)]" fixedFrom="NotFixed" fixedTo="Algorithm">
       <AssociationMoniker Name="/PluginStoreClassesDataContext/Plugin/Plugin_PluginPackage" />
       <nodes>
-        <classShapeMoniker Id="7c7e406d-95e8-4f00-ab8e-634b7fbbbea5" />
-        <classShapeMoniker Id="855904b1-2043-4ccc-951d-2f35df8b6190" />
+        <classShapeMoniker Id="1e228e3e-9436-4cd0-b7f7-492427268001" />
+        <classShapeMoniker Id="d660db81-846c-4661-9a86-09567e927f9d" />
       </nodes>
     </associationConnector>
Index: /branches/DeploymentServer Prototype/HeuristicLab.Services/HeuristicLab.Services.Deployment.DataAccess/PluginStoreClasses.designer.cs
===================================================================
--- /branches/DeploymentServer Prototype/HeuristicLab.Services/HeuristicLab.Services.Deployment.DataAccess/PluginStoreClasses.designer.cs	(revision 2859)
+++ /branches/DeploymentServer Prototype/HeuristicLab.Services/HeuristicLab.Services.Deployment.DataAccess/PluginStoreClasses.designer.cs	(revision 2860)
@@ -303,5 +303,7 @@
 		private string _Version;
 		
-		private string _ContactInformation;
+		private string _ContactName;
+		
+		private string _ContactEmail;
 		
 		private string _License;
@@ -319,6 +321,8 @@
     partial void OnVersionChanging(string value);
     partial void OnVersionChanged();
-    partial void OnContactInformationChanging(string value);
-    partial void OnContactInformationChanged();
+    partial void OnContactNameChanging(string value);
+    partial void OnContactNameChanged();
+    partial void OnContactEmailChanging(string value);
+    partial void OnContactEmailChanged();
     partial void OnLicenseChanging(string value);
     partial void OnLicenseChanged();
@@ -391,20 +395,40 @@
 		}
 		
-		[Column(Storage="_ContactInformation", DbType="Text", UpdateCheck=UpdateCheck.Never)]
-		public string ContactInformation
-		{
-			get
-			{
-				return this._ContactInformation;
-			}
-			set
-			{
-				if ((this._ContactInformation != value))
-				{
-					this.OnContactInformationChanging(value);
-					this.SendPropertyChanging();
-					this._ContactInformation = value;
-					this.SendPropertyChanged("ContactInformation");
-					this.OnContactInformationChanged();
+		[Column(Storage="_ContactName", DbType="Text", UpdateCheck=UpdateCheck.Never)]
+		public string ContactName
+		{
+			get
+			{
+				return this._ContactName;
+			}
+			set
+			{
+				if ((this._ContactName != value))
+				{
+					this.OnContactNameChanging(value);
+					this.SendPropertyChanging();
+					this._ContactName = value;
+					this.SendPropertyChanged("ContactName");
+					this.OnContactNameChanged();
+				}
+			}
+		}
+		
+		[Column(Storage="_ContactEmail", DbType="Text", UpdateCheck=UpdateCheck.Never)]
+		public string ContactEmail
+		{
+			get
+			{
+				return this._ContactEmail;
+			}
+			set
+			{
+				if ((this._ContactEmail != value))
+				{
+					this.OnContactEmailChanging(value);
+					this.SendPropertyChanging();
+					this._ContactEmail = value;
+					this.SendPropertyChanged("ContactEmail");
+					this.OnContactEmailChanged();
 				}
 			}
Index: /branches/DeploymentServer Prototype/HeuristicLab.Services/HeuristicLab.Services.Deployment/PluginDescription.cs
===================================================================
--- /branches/DeploymentServer Prototype/HeuristicLab.Services/HeuristicLab.Services.Deployment/PluginDescription.cs	(revision 2859)
+++ /branches/DeploymentServer Prototype/HeuristicLab.Services/HeuristicLab.Services.Deployment/PluginDescription.cs	(revision 2860)
@@ -21,8 +21,14 @@
     }
 
-    [DataMember(Name = "ContactInformation")]
-    private string contactInformation;
-    public string ContactInformation {
-      get { return contactInformation; }
+    [DataMember(Name = "ContactName")]
+    private string contactName;
+    public string ContactName {
+      get { return contactName; }
+    }
+
+    [DataMember(Name = "ContactEmail")]
+    private string contactEmail;
+    public string ContactEmail {
+      get { return contactEmail; }
     }
 
@@ -39,12 +45,16 @@
     }
 
-    public PluginDescription(string name, Version version, IEnumerable<PluginDescription> dependencies, string contactInformation, string license) {
+    public PluginDescription(string name, Version version, IEnumerable<PluginDescription> dependencies, 
+      string contactName, string contactEmail, string license) {
       if (string.IsNullOrEmpty(name)) throw new ArgumentException("name is empty");
-      if (version == null || dependencies == null || contactInformation == null || license == null) throw new ArgumentNullException();
+      if (version == null || dependencies == null ||
+        contactName == null || contactEmail == null ||
+        license == null) throw new ArgumentNullException();
       this.name = name;
       this.version = version;
       this.dependencies = new List<PluginDescription>(dependencies);
       this.licenseText = license;
-      this.contactInformation = contactInformation;
+      this.contactName = contactName;
+      this.contactEmail = contactEmail;
     }
 
@@ -54,5 +64,5 @@
 
     public PluginDescription(string name, Version version, IEnumerable<PluginDescription> dependencies)
-      : this(name, version, dependencies, string.Empty, string.Empty) {
+      : this(name, version, dependencies, string.Empty, string.Empty, string.Empty) {
     }
   }
Index: /branches/DeploymentServer Prototype/HeuristicLab.Services/HeuristicLab.Services.Deployment/PluginStore.cs
===================================================================
--- /branches/DeploymentServer Prototype/HeuristicLab.Services/HeuristicLab.Services.Deployment/PluginStore.cs	(revision 2859)
+++ /branches/DeploymentServer Prototype/HeuristicLab.Services/HeuristicLab.Services.Deployment/PluginStore.cs	(revision 2860)
@@ -144,6 +144,7 @@
       // update plugin data
       pluginEntity.License = pluginDescription.LicenseText;
-      pluginEntity.ContactInformation = pluginDescription.ContactInformation;
-      
+      pluginEntity.ContactName = pluginDescription.ContactName;
+      pluginEntity.ContactEmail = pluginDescription.ContactEmail;
+
       // delete cached entry
       if (pluginDescriptions.ContainsKey(pluginEntity)) pluginDescriptions.Remove(pluginEntity);
@@ -196,5 +197,6 @@
           from dep in GetDependencies(ctx, plugin)
           select MakePluginDescription(ctx, dep),
-          plugin.ContactInformation ?? string.Empty,
+          plugin.ContactName ?? string.Empty,
+          plugin.ContactEmail ?? string.Empty,
           plugin.License ?? string.Empty
           );
@@ -208,5 +210,6 @@
       plugin.Name = pluginDescription.Name;
       plugin.Version = pluginDescription.Version.ToString();
-      plugin.ContactInformation = pluginDescription.ContactInformation;
+      plugin.ContactName = pluginDescription.ContactName;
+      plugin.ContactEmail = pluginDescription.ContactEmail;
       plugin.License = pluginDescription.LicenseText;
       return plugin;
Index: /trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/DeploymentService/DeploymentService.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/DeploymentService/DeploymentService.cs	(revision 2859)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/DeploymentService/DeploymentService.cs	(revision 2860)
@@ -22,5 +22,7 @@
         private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
         
-        private string ContactInformationField;
+        private string ContactEmailField;
+        
+        private string ContactNameField;
         
         private HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.PluginDescription[] DependenciesField;
@@ -45,13 +47,26 @@
         
         [System.Runtime.Serialization.DataMemberAttribute()]
-        public string ContactInformation
-        {
-            get
-            {
-                return this.ContactInformationField;
-            }
-            set
-            {
-                this.ContactInformationField = value;
+        public string ContactEmail
+        {
+            get
+            {
+                return this.ContactEmailField;
+            }
+            set
+            {
+                this.ContactEmailField = value;
+            }
+        }
+        
+        [System.Runtime.Serialization.DataMemberAttribute()]
+        public string ContactName
+        {
+            get
+            {
+                return this.ContactNameField;
+            }
+            set
+            {
+                this.ContactNameField = value;
             }
         }
